## com.ibm.lab.soln.resources.nature_builder
Class ActionRemoveBuilderFromProject

    java.lang.Object
      |
      +--com.ibm.lab.soln.resources.ActionResourceAction
            |
            +--com.ibm.lab.soln.resources.nature_builder.ActionRemoveBuilderFromProject

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IObjectActionDelegate

public class ActionRemoveBuilderFromProject
extends ActionResourceAction

The `ActionRemoveBuilderFromProject` implements an action to remove a builder from an existing project.

This demonstrates the API for the project and project description workspace resources and how you might implement this logic in your tool.

See Also:
  `IProject`, `IProjectDescription`, `ICommand`

Fields inherited from class com.ibm.lab.soln.resources.ActionResourceAction
`selection`

Constructor Summary
`ActionRemoveBuilderFromProject()` ActionRemoveBuilderFromProject default constructor.

Method Summary
`void` | `removeFromBuildSpec(org.eclipse.core.resources.IProject project)` Adds a builder to a project description if it does not already exist.
`void` | `run(org.eclipse.jface.action.IAction action)` Uses saved reference to selected project to call custom logic that removes the builder from the current project.

Methods inherited from class com.ibm.lab.soln.resources.ActionResourceAction
`resultError, resultInformation, resultQuestion, selectionChanged, setActivePart`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionRemoveBuilderFromProject

    public ActionRemoveBuilderFromProject()

  ActionRemoveBuilderFromProject default constructor.

Method Detail

### removeFromBuildSpec

    public void removeFromBuildSpec(org.eclipse.core.resources.IProject project)
                             throws org.eclipse.core.runtime.CoreException

  Adds a builder to a project description if it does not already exist.
  Parameters:
    `project` - selected project resource is input for processing

### run

    public void run(org.eclipse.jface.action.IAction action)

  Uses saved reference to selected project to call custom logic that removes the builder from the current project.
  Parameters:
    `action` - action proxy that handles the presentation portion of the plugin action
  See Also:
    `IActionDelegate.run(IAction)`